using System.Collections.Generic;
using DysonNetwork.Shared.Models;
using MagicOnion;
using Microsoft.AspNetCore.Http;

namespace DysonNetwork.Shared.Services;

public interface IActionLogService : IService<IActionLogService>
{
    /// <summary>
    /// Creates an action log entry
    /// </summary>
    void CreateActionLog(Guid accountId, string action, Dictionary<string, object> meta);

    /// <summary>
    /// Creates an action log entry from an HTTP request
    /// </summary>
    void CreateActionLogFromRequest(
        string action, 
        Dictionary<string, object> meta, 
        HttpRequest request,
        Account? account = null
    );
}
