using DysonNetwork.Shared.Models;
using MagicOnion;

namespace DysonNetwork.Shared.Services;

public interface INotificationService : IService<INotificationService>
{
    /// <summary>
    /// Unsubscribes a device from push notifications
    /// </summary>
    /// <param name="deviceId">The device ID to unsubscribe</param>
    Task UnsubscribePushNotifications(string deviceId);

    /// <summary>
    /// Subscribes a device to push notifications
    /// </summary>
    Task<NotificationPushSubscription> SubscribePushNotification(
        Account account,
        NotificationPushProvider provider,
        string deviceId,
        string deviceToken
    );
}
